package com.ztmap.project.zhny.alarm.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 告警对象 t_alarm
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public class TAlarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 告警名称 */
    @Excel(name = "告警名称")
    private String name;

    /** 告警级别（1：紧急，2：重要，3：次要，4：警告） */
    @Excel(name = "告警级别", readConverterExp = "1=：紧急，2：重要，3：次要，4：警告")
    private Long alarmlevel;

    /** 告警类型 */
    @Excel(name = "告警类型")
    private String alarmtype;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private Long devietype;

    /** 建筑 */
    @Excel(name = "建筑")
    private Long build;

    /** 楼层 */
    @Excel(name = "楼层")
    private Long floor;

    /** 告警位置x */
    @Excel(name = "告警位置x")
    private Double x;

    /** 告警位置y */
    @Excel(name = "告警位置y")
    private Double y;

    /** z */
    @Excel(name = "z")
    private Double z;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceid;

    /** 告警描述 */
    @Excel(name = "告警描述")
    private String description;

    /** 处理状态（0：待确认，1：待处理，2：已处理） */
    @Excel(name = "处理状态", readConverterExp = "0=：待确认，1：待处理，2：已处理")
    private Long status;

    /** 发生地点 */
    @Excel(name = "发生地点")
    private String address;

    /** 确认时间 */
    @Excel(name = "确认时间")
    private String confirmtime;

    /** 图片链接 */
    @Excel(name = "图片链接")
    private String imgurl;

    /** 告警时间 */
    @Excel(name = "告警时间")
    private String atime;

    /** 处置人 */
    @Excel(name = "处置人")
    private String hanlder;

    /** 处置时间 */
    @Excel(name = "处置时间")
    private String handtime;

    /** 处理信息 */
    @Excel(name = "处理信息")
    private String comment;

    /** 位置类型（1：室内 2：室外） */
    @Excel(name = "位置类型", readConverterExp = "1=：室内,2=：室外")
    private Long positiontype;

    /** 大分类（分类） */
    @Excel(name = "大分类", readConverterExp = "分=类")
    private Long sortId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setAlarmlevel(Long alarmlevel)
    {
        this.alarmlevel = alarmlevel;
    }

    public Long getAlarmlevel()
    {
        return alarmlevel;
    }
    public void setAlarmtype(String alarmtype)
    {
        this.alarmtype = alarmtype;
    }

    public String getAlarmtype()
    {
        return alarmtype;
    }
    public void setDevietype(Long devietype)
    {
        this.devietype = devietype;
    }

    public Long getDevietype()
    {
        return devietype;
    }
    public void setBuild(Long build)
    {
        this.build = build;
    }

    public Long getBuild()
    {
        return build;
    }
    public void setFloor(Long floor)
    {
        this.floor = floor;
    }

    public Long getFloor()
    {
        return floor;
    }
    public void setX(Double x)
    {
        this.x = x;
    }

    public Double getX()
    {
        return x;
    }
    public void setY(Double y)
    {
        this.y = y;
    }

    public Double getY()
    {
        return y;
    }
    public void setZ(Double z)
    {
        this.z = z;
    }

    public Double getZ()
    {
        return z;
    }
    public void setDeviceid(Long deviceid)
    {
        this.deviceid = deviceid;
    }

    public Long getDeviceid()
    {
        return deviceid;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setConfirmtime(String confirmtime)
    {
        this.confirmtime = confirmtime;
    }

    public String getConfirmtime()
    {
        return confirmtime;
    }
    public void setImgurl(String imgurl)
    {
        this.imgurl = imgurl;
    }

    public String getImgurl()
    {
        return imgurl;
    }
    public void setAtime(String atime)
    {
        this.atime = atime;
    }

    public String getAtime()
    {
        return atime;
    }
    public void setHanlder(String hanlder)
    {
        this.hanlder = hanlder;
    }

    public String getHanlder()
    {
        return hanlder;
    }
    public void setHandtime(String handtime)
    {
        this.handtime = handtime;
    }

    public String getHandtime()
    {
        return handtime;
    }
    public void setComment(String comment)
    {
        this.comment = comment;
    }

    public String getComment()
    {
        return comment;
    }
    public void setPositiontype(Long positiontype)
    {
        this.positiontype = positiontype;
    }

    public Long getPositiontype()
    {
        return positiontype;
    }
    public void setSortId(Long sortId)
    {
        this.sortId = sortId;
    }

    public Long getSortId()
    {
        return sortId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("alarmlevel", getAlarmlevel())
            .append("alarmtype", getAlarmtype())
            .append("devietype", getDevietype())
            .append("build", getBuild())
            .append("floor", getFloor())
            .append("x", getX())
            .append("y", getY())
            .append("z", getZ())
            .append("deviceid", getDeviceid())
            .append("description", getDescription())
            .append("status", getStatus())
            .append("address", getAddress())
            .append("confirmtime", getConfirmtime())
            .append("imgurl", getImgurl())
            .append("atime", getAtime())
            .append("hanlder", getHanlder())
            .append("handtime", getHandtime())
            .append("comment", getComment())
            .append("positiontype", getPositiontype())
            .append("sortId", getSortId())
            .toString();
    }
}
